import java.io.*;

public class DemoReader {
    
    public static void fileReader() throws IOException {
        try (FileReader fr = new FileReader("out.txt")) {        
            int c = fr.read();
            while (c != -1) {
                System.out.println((char) c);
                c = fr.read();
            }
        }
    }
    
    public static void bufferedReader() throws IOException {
        try (BufferedReader br = new BufferedReader(new FileReader("out.txt"))) {
            String line = br.readLine();
            while (line != null) {
                System.out.println(line);
                line = br.readLine();
            }
        }
    }
}